package de.hhu.ba.yoshikoWrapper.core;

public class YoshikoInterface {
	
	//SINGLETON TEMPLATE
	
	private static YoshikoInterface instance;
	private static boolean libraryLoaded;
	
	public static YoshikoInterface getInstance() {
		if (instance == null){
			instance = new YoshikoInterface();
		}
		return instance;
	}
	
	private YoshikoInterface() {
		libraryLoaded = false;
	}
	

	public void loadLibrary(String libPath) {
		try {
			System.load(libPath);
			libraryLoaded = true;
		}
		catch(UnsatisfiedLinkError e) {
			System.out.print(System.getProperty("java.version")+System.getProperty("sun.arch.data.model"));
			e.printStackTrace();
			libraryLoaded = false;
		}
		finally {
			
		}

	}
	
	//SETTER / GETTER
	
	public boolean isLibraryLoaded() {
		return libraryLoaded;
	}

}
